# std::char_traits<char>::not_eof, std::char_traits<wchar_t>::not_eof, std::char_traits<char8_t>::not_eof, std::char_traits<char16_t>::not_eof, std::char_traits<char32_t>::not_eof

From cppreference.com
< cpp‎ | string‎ | char traits

static int_type not_eof( int_type e ); |  | (constexpr since C++11) (noexcept since C++11)

Given e, produces a suitable value that is not equivalent to `eof`.

This function is typically used when a value other than `eof` needs to be returned, such as in implementations of std::basic_streambuf::overflow().

See CharTraits for the general requirements on character traits for `X::not_eof`.

### Parameters

e | - | value to analyze

### Return value

e if e and `eof` value are not equivalent, or some other non-eof value otherwise.

### Complexity

Constant.

### See also

eof [static] | returns an eof value (public static member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/char_traits/not_eof&oldid=171377"